# Uses of Class
org.apache.lucene.spatial3d.geom.LinearSquaredDistance

Packages that use LinearSquaredDistance
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of LinearSquaredDistance in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as LinearSquaredDistance
  Modifier and Type
  Field
  Description
  `static final LinearSquaredDistance`
  LinearSquaredDistance.`INSTANCE`
  A convenient instance
  `static final LinearSquaredDistance`
  DistanceStyle.`LINEAR_SQUARED`
  Linear distance squared calculator